WordPress.org

Make WordPress Core

Changeset 36301


Ignore:
Timestamp:
01/14/2016 07:59:06 PM (4 years ago)
Author:
swissspidy
Message:

Plugins: Prevent a warning when searching in the plugins list table.

After [36182], plugin data contains compatibility info from the API, which is an array and cannot be searched.

Fixes #35461.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-admin/includes/class-wp-plugins-list-table.php

    r36205 r36301  
    279279
    280280        foreach ( $plugin as $value ) {
    281             if ( false !== stripos( strip_tags( $value ), $term ) ) {
     281            if ( is_string( $value ) && false !== stripos( strip_tags( $value ), $term ) ) {
    282282                return true;
    283283            }
Note: See TracChangeset for help on using the changeset viewer.